## python-async-timeout 4.0.1

=== Makefile ===
SOURCES = setup.py async_timeout tests

test: lint
	pytest tests


lint: mypy check black flake8


mypy:
	mypy


black:
	isort -c $(SOURCES)
	black --check $(SOURCES)

flake8:
	flake8 $(SOURCES)


fmt:
	isort $(SOURCES)
	black $(SOURCES)


check:
	python setup.py check -rms

=== requirements.txt ===
-e .
black==21.10b0; implementation_name=="cpython"
docutils==0.18
flake8==4.0.1
isort==5.10.1
mypy==0.910; implementation_name=="cpython"
pre-commit==2.15
pytest==6.2.5
pytest-asyncio==0.16.0
pytest-cov==3.0.0

## python-async-timeout 1.1.0

=== debian/changelog ===
python-async-timeout (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to reflect async_timeout → async-timeout upstream
    project rename

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 08 Nov 2016 00:35:32 +0100

python-async-timeout (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Sep 2016 00:04:29 +0200

=== debian/control ===
Source: python-async-timeout
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest-runner,
Standards-Version: 3.9.8
Homepage: https://github.com/aio-libs/async_timeout/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git

Package: python3-async-timeout
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: timeout context manager for asyncio programs in Python
 The context manager is useful in cases when you want to apply timeout
 logic around block of code or in cases when asyncio.wait_for() is
 not suitable. Also it's much faster than asyncio.wait_for()
 because timeout doesn't create a new task.
 .
 Example:
 .
  with timeout(1.5):
      yield from inner()

## python-async-timeout 1.2.1

=== debian/changelog ===
python-async-timeout (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 19:42:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-pytest-runner,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/aio-libs/async_timeout/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git

## python-async-timeout 2.0.0

=== debian/changelog ===
python-async-timeout (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 13 Nov 2017 21:23:23 +0100

python-async-timeout (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 29 Sep 2017 11:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-pytest-runner,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/aio-libs/async_timeout/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=async-timeout
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-async-timeout 3.0.0

=== debian/changelog ===
python-async-timeout (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 May 2018 14:02:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                python3-pytest-runner,
 Standards-Version: 4.1.1
 Homepage: https://github.com/aio-libs/async_timeout/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-async-timeout.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-async-timeout.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-async-timeout
 
 Package: python3-async-timeout
 Architecture: all

## python-async-timeout 3.0.1

=== debian/changelog ===
python-async-timeout (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Dec 2018 22:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-pytest-runner,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/aio-libs/async_timeout/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-async-timeout.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-async-timeout

## python-async-timeout 4.0.1

=== debian/changelog ===
python-async-timeout (4.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Boyuan Yang ]
  * debian/: Apply wrap-and-sort -abst.
  * debian/watch: Switch to monitor GitHub upstream.
  * New upstream version 4.0.1.
  * Bump debhelper compat to v13.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Add new test and runtime dependency
    python3-typing-extensions.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Nov 2021 22:47:02 -0500

=== debian/rules ===


## python-async-timeout 4.0.2

=== Makefile ===
test: lint
	pytest tests

lint: fmt
	mypy

fmt:
ifdef CI
	pre-commit run --all-files --show-diff-on-failure
else
	pre-commit run --all-files
endif


check:
	python -m build
	twine check dist/*

install:
	pip install -U pip
	pip install -r requirements.txt

=== debian/changelog ===
python-async-timeout (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2022 14:42:42 +0100

=== debian/control ===
Source: python-async-timeout
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest-runner,
 python3-setuptools,
 python3-typing-extensions,
Standards-Version: 4.6.0
Homepage: https://github.com/aio-libs/async_timeout/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-timeout.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-async-timeout

Package: python3-async-timeout
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: timeout context manager for asyncio programs in Python
 The context manager is useful in cases when you want to apply timeout
 logic around block of code or in cases when asyncio.wait_for() is
 not suitable. Also it's much faster than asyncio.wait_for()
 because timeout doesn't create a new task.
 .
 Example:
 .
  with timeout(1.5):
      yield from inner()

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/aio-libs/async-timeout/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-async-timeout 4.0.3

=== requirements.txt ===
-e .
build==0.10.0
docutils==0.20.1
mypy==1.4.1; implementation_name=="cpython"
pre-commit==2.21.0
pytest==7.4.0
pytest-asyncio==0.21.1
pytest-cov==4.1.0
twine==4.0.2

=== debian/changelog ===
python-async-timeout (4.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Aug 2023 14:19:42 +0200

## python-async-timeout 5.0.1

=== requirements.txt ===
-e .
build==1.2.2.post1
docutils==0.21.2
mypy==1.13.0; implementation_name=="cpython"
pre-commit==4.0.1
pytest==8.3.3
pytest-asyncio==0.24.0
pytest-cov==6.0.0
twine==5.1.1

=== debian/changelog ===
python-async-timeout (5.0.1-2) unstable; urgency=medium

  * Team upload
  * Mark test-only Build-Depends

 -- Bastian Germann <bage@debian.org>  Mon, 02 Mar 2026 12:09:58 +0100

python-async-timeout (5.0.1-1) unstable; urgency=medium

  * New upstream release
    Upstreamed into Python 3.11+, please migrate to asyncio.Timeout

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 08 Nov 2024 17:16:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-pytest-runner,
+ python3-pytest-runner <!nocheck>,
  python3-setuptools,
  python3-typing-extensions,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/aio-libs/async_timeout/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-timeout.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-async-timeout
